ContextResourceLinkMBean (Apache Tomcat 9.0.111 API Documentation)
Description: declaration: package: org.apache.catalina.mbeans, class: ContextResourceLinkMBean

# Class ContextResourceLinkMBean

java.lang.Object
org.apache.tomcat.util.modeler.BaseModelMBean
org.apache.catalina.mbeans.BaseCatalinaMBean<ContextResourceLink>
org.apache.catalina.mbeans.ContextResourceLinkMBean

All Implemented Interfaces:
  `DynamicMBean, MBeanRegistration, ModelMBeanNotificationBroadcaster, NotificationBroadcaster`

public class ContextResourceLinkMBean extends BaseCatalinaMBean<ContextResourceLink>
A ModelMBean implementation for the `org.apache.tomcat.util.descriptor.web.ContextResourceLink` component.

- ## Field Summary

  ### Fields inherited from class BaseModelMBean

  `attributeBroadcaster, generalBroadcaster, managedBean, oname, resource, resourceType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContextResourceLinkMBean()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getAttribute(String name)`
  `void`
  `setAttribute(Attribute attribute)`

  ### Methods inherited from class BaseCatalinaMBean

  `doGetManagedResource, newInstance`

  ### Methods inherited from class BaseModelMBean

  `addAttributeChangeNotificationListener, addNotificationListener, getAttributes, getClassName, getJmxName, getManagedResource, getMBeanInfo, getModelerType, getNotificationInfo, getObjectName, invoke, postDeregister, postRegister, preDeregister, preRegister, removeAttributeChangeNotificationListener, removeNotificationListener, sendAttributeChangeNotification, sendAttributeChangeNotification, sendNotification, sendNotification, setAttributes, setManagedBean, setManagedResource, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContextResourceLinkMBean

    public ContextResourceLinkMBean()

- ## Method Details

  - ### getAttribute

    public Object getAttribute(String name) throws AttributeNotFoundException, MBeanException, ReflectionException
    Specified by:
      `getAttribute` in interface `DynamicMBean`
    Overrides:
      `getAttribute` in class `BaseModelMBean`
    Throws:
      `AttributeNotFoundException`
      `MBeanException`
      `ReflectionException`

  - ### setAttribute

    public void setAttribute(Attribute attribute) throws AttributeNotFoundException, MBeanException, ReflectionException
    Specified by:
      `setAttribute` in interface `DynamicMBean`
    Overrides:
      `setAttribute` in class `BaseModelMBean`
    Throws:
      `AttributeNotFoundException`
      `MBeanException`
      `ReflectionException`